---
updatedAt: 2026-10-06T17:37:25.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /uid-list-children

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "email": "support@akeyless.io",
      "name": "Akeyless",
      "url": "http://akeyless.io"
    },
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Identity & access",
    "version": "3.0"
  },
  "paths": {
    "/uid-list-children": {
      "post": {
        "operationId": "uidListChildren",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/uidListChildren"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/uidListChildrenResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        },
        "tags": [
          "Authentication"
        ],
        "x-docs-category": "Identity & access",
        "x-docs-group": "Authentication"
      }
    }
  },
  "tags": [
    {
      "name": "Authentication"
    }
  ],
  "x-readme": {
    "apply-tag-changes": true
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      },
      "uidListChildrenResponse": {
        "description": "uidListChildrenResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UniversalIdentityDetails"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "title": "JSONError wraps an error with JSON object.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "UIDTokenDetails": {
        "properties": {
          "children": {
            "additionalProperties": {
              "$ref": "#/components/schemas/UIDTokenDetails"
            },
            "type": "object",
            "x-go-name": "Children"
          },
          "comment": {
            "type": "string",
            "x-go-name": "Comment"
          },
          "deny_inheritance": {
            "type": "boolean",
            "x-go-name": "DenyInheritance"
          },
          "deny_rotate": {
            "type": "boolean",
            "x-go-name": "DenyRotate"
          },
          "depth": {
            "format": "uint16",
            "type": "integer",
            "x-go-name": "Depth"
          },
          "expired_date": {
            "type": "string",
            "x-go-name": "ExpiredDate"
          },
          "id": {
            "type": "string",
            "x-go-name": "ID"
          },
          "last_rotate": {
            "type": "string",
            "x-go-name": "LastRotate"
          },
          "revoked": {
            "type": "boolean",
            "x-go-name": "Revoked"
          },
          "ttl": {
            "format": "int32",
            "type": "integer",
            "x-go-name": "TTL"
          }
        },
        "title": "UIDTokenDetails Universal identity type.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/infra/types"
      },
      "UniversalIdentityDetails": {
        "properties": {
          "max_depth": {
            "format": "uint16",
            "type": "integer",
            "x-go-name": "MaxDepth"
          },
          "number_of_tokens": {
            "format": "int64",
            "type": "integer",
            "x-go-name": "NumberOfTokens"
          },
          "root": {
            "$ref": "#/components/schemas/UIDTokenDetails"
          }
        },
        "title": "UniversalIdentityDetails Universal identity type.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/infra/types"
      },
      "uidListChildren": {
        "description": "uidListChildren is a command that lists child token ids of Akeyless\nUniversal Identity.",
        "properties": {
          "auth-method-name": {
            "description": "The universal identity auth method name, required only when uid-token is not provided",
            "type": "string",
            "x-go-name": "AuthMethodName"
          },
          "json": {
            "default": false,
            "description": "Set output format to JSON",
            "type": "boolean",
            "x-go-name": "Json"
          },
          "token": {
            "description": "Authentication token (see `/auth` and `/configure`)",
            "type": "string",
            "x-go-name": "Profile"
          },
          "uid-token": {
            "description": "The universal identity token, Required only for universal_identity authentication",
            "type": "string",
            "x-go-name": "UIDToken"
          }
        },
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```